*, *::before, *::after {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}


body {
    width: 100vw;
    min-height: 100vh;
    background-image: url("pictures/neris_diary_desktop.jpg");
    background-size: cover;
    display:flex;
    justify-content: center;
    align-items: center;
}


.container {
    display: grid;
    grid-template-columns: 2fr repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-template-areas: 
    "nd am e" 
    "nd hfd r";
    grid-column-gap: 1em;
    grid-row-gap: 1em;
    padding: 2vh 2vw;
}
/* help for grid: https://cssgrid-generator.netlify.app/*/

@media (max-width: 500px){

    .container {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: 2fr, repeat(2, 1fr);
        grid-template-areas: 
        "nd nd" 
        "am e"
        "hfd r";
        grid-column-gap: 1em;
        grid-row-gap: 1em;
        padding: 5vh 5vw;
    }

}

.neris_diary{
    grid-area: nd;
    display: flex;
    justify-content: center;
    align-items: center;
}

.about_me{
    grid-area: am;
    text-align: center;
}

.editions{
    grid-area: e;
    text-align: center;
}

.HFD_2024{
    grid-area: hfd;
    display: grid;
    place-items: center;
}

.projects{
    grid-area: r;
    display: grid;
    place-items: center;
}
.taskbar{
    display: flex;
    justify-content: right;
    align-items: center;
    overflow: hidden;
    background-color: #70a3d8;
    border-style: double;
    border-color: #9dc6ea;
    position: fixed;
    bottom: 0;
    width: 100%;
}

.taskbar > img {
    margin-right: 8px;
}

#time{
    font-family: Consolas, monaco, monospace;
    color: white;
    font-size: 1.2em;
    padding-right: 15px;
}

h1{
    font-family: Consolas, monaco, monospace;
    color: white;
    font-size: 3em;
    margin: 5px;
    text-shadow: 0 0 2px grey;  
}

p {
    font-family: Consolas, monaco, monospace;
    color: white;
    font-size: 1.2em;
    margin: 5px;
    text-shadow: 0 0 2px grey;
    /*https://www.cssfontstack.com/consolas*/
}

img {
    max-width: 100%;
    height: auto;
}

img:hover {
    /*try to do this effect: https://prismic.io/blog/css-hover-effects*/
}

a {
    color: white
}